cdo (2.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Nov 2025 12:02:43 +0000

cdo (2.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Aug 2025 10:21:34 +0100

cdo (2.5.2-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 17:01:46 +0100

cdo (2.5.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 11:26:08 +0100

cdo (2.5.1-1) unstable; urgency=medium

  * New upstream release
  * compile-grib.patch: merged upstream
  * recinfo.patch: Patch needed for HIRLAM_EXTENSIONS to work
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Mar 2025 15:25:37 +0100

cdo (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on dh-buildinfo

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Jan 2025 08:23:58 +0000

cdo (2.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Sep 2024 18:31:05 +0100

cdo (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * compile-grib.patch: fix typo that breaks build

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Aug 2024 09:54:27 +0100

cdo (2.4.2-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete refs to GRIB_API_* in pkgconfig 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Jun 2024 09:39:13 +0100

cdo (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * S-V: 4.7.0; no changes required
  * Make science team the Maintainer

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 May 2024 14:07:20 +0100

cdo (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Ensure link for libcdi_f2003.so
  * Now add fortran:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2024 06:51:37 +0000

cdo (2.3.0-3) unstable; urgency=medium

  * Typo in d/rules led to non-usage of libxml2
  * AS_NEEDED not needed in d/rules
  * Drop usage of patchelf as it was breaking mips64el builds
  * Mark bug as fixed in 2.3.0. Closes: #1051017

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Feb 2024 11:52:03 +0000

cdo (2.3.0-2) unstable; urgency=medium

  * Build-dep on dh-fortran-mod (>= 0.32) for multi-fortran support
  * Explicitly build-depend on architecture-is-64-bit
  * Drop hppa,arm,i386 code from d/rules (32-bit)
  * Drop 32-bit.patch
  * d/rules: drop obsolete hdf5 code

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 09:38:38 +0000

cdo (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Oct 2023 10:14:23 +0100

cdo (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Ensure build-twice works. Closes: #1043621
  * Close old obsolete bug report. Closes: #813184

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Aug 2023 07:10:40 +0100

cdo (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Patches rebased

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jul 2023 13:20:48 +0100

cdo (2.2.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 11:27:55 +0100

cdo (2.2.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * pkgconfig.patch: Fix for incorrect substitution

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Apr 2023 10:33:37 +0100

cdo (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Add Rules-Requires-Root: no

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2022 10:27:47 +0000

cdo (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Change cmake dir libcdi->cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Oct 2022 08:24:12 +0100

cdo (2.0.6-3) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name (from
    ./configure).
  * Fix broken Vcs URL.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 15 Nov 2022 09:33:13 -0000

cdo (2.0.6-2) unstable; urgency=medium

  * Simple cdo --help test dropped as it now returns non-zero
    Closes: #1019222

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2022 13:50:53 +0100

cdo (2.0.6-1) unstable; urgency=medium

  * New upstream release
  * d/rules: don't fail on partial failur of makecomp.rb
  * Add extra files to /usr/include in libcdi-dev.install
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Aug 2022 15:49:24 +0100

cdo (2.0.5-1) unstable; urgency=medium

  * New upstream release
  * cmake dir now libcdi, not cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Mar 2022 17:23:25 +0000

cdo (2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Feb 2022 08:40:08 +0000

cdo (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Set LC_ALL=UTF-8 in ruby doc build
  * Install cmake files in $LIBDIR/cmake/cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Jan 2022 07:39:11 +0000

cdo (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Dec 2021 07:23:36 +0000

cdo (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Nov 2021 08:39:22 +0000

cdo (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Nov 2021 12:22:31 +0000

cdo (2.0.0~rc7-1) unstable; urgency=medium

  * New upstream release
  * Mark autopkgtests as superficial. Closes: #974446

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Sep 2021 09:09:12 +0100

cdo (2.0.0~rc5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0
  * Update watch file for rc files

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Aug 2021 06:50:15 +0100

cdo (2.0.0~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jul 2021 11:45:06 +0100

cdo (2.0.0~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jun 2021 12:46:44 +0100

cdo (2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Jun 2021 12:50:38 +0100

cdo (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Apr 2021 16:18:29 +0100

cdo (1.9.10-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jan 2021 07:30:30 +0000

cdo (1.9.10~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jan 2021 07:37:20 +0000

cdo (1.9.10~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2021 21:41:36 +0000

cdo (1.9.10~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Dec 2020 08:59:20 +0000

cdo (1.9.10~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Nov 2020 15:43:05 +0000

cdo (1.9.9-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Nov 2020 17:17:31 +0000

cdo (1.9.9~rc9-1) unstable; urgency=medium

  * New upstream release
  * Set Vcs-Git to point to debian/latest

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2020 08:53:29 +0100

cdo (1.9.9~rc8-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 07:59:48 +0100

cdo (1.9.9~rc7-1) unstable; urgency=medium

  * New upstream release
  * Change branch names, gbp.conf to match DEP-14

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Sep 2020 10:13:30 +0100

cdo (1.9.9~rc6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Aug 2020 09:03:19 +0100

cdo (1.9.9~rc5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Jul 2020 16:53:42 +0100

cdo (1.9.9~rc4-1) unstable; urgency=medium

  * New upstream release
    - gcc10.patch merged upstream
  * cdi.inc was installed incorrectly in subdir
  * Debhelper-compat 13: Use vars in dh_ files instead of autogenerating
    in d/rules
  * Ship libcdi_f2003 lib with -gfortran variant name

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Jul 2020 09:23:05 +0100

cdo (1.9.9~rc3-1) unstable; urgency=medium

  * New upstream release
  * Fix for g++-10, adding header
  * Build-Conflicts needed for libcdi0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jun 2020 12:07:59 +0100

cdo (1.9.9~rc2-2) unstable; urgency=medium

  * Additional test for python3-cdo, fix other test

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Apr 2020 10:52:32 +0100

cdo (1.9.9~rc2-1) unstable; urgency=medium

  * New upstream release
  * First simple package tests added

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Apr 2020 10:52:12 +0100

cdo (1.9.9~rc1-2) unstable; urgency=medium

  * Use dh-sequence-fortran-mod instead of --with fortran_mod
  * Temp. drop flang support until llvm-9 supported

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Mar 2020 09:21:46 +0000

cdo (1.9.9~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Feb 2020 09:22:08 +0000

cdo (1.9.8-2) unstable; urgency=medium

  * Drop recommends on python-cdo. Closes: #945649

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Nov 2019 11:31:10 +0000

cdo (1.9.8-1) unstable; urgency=medium

  * New upstream release
  * Drop ACCEPT_USE_OF_DEPRECATED_PROJ_API_H=1 as no longer needed

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Nov 2019 18:59:15 +0000

cdo (1.9.8~rc3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1.0
  * Drop obsolete 'Fortran-Mod' clause in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Nov 2019 08:53:06 +0000

cdo (1.9.8~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Sep 2019 10:18:18 +0100

cdo (1.9.8~rc1-1) unstable; urgency=medium

  * New upstream release
  * Build-Conflict on libcdi-dev so we don't try linking against an
    obsolete version

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Sep 2019 14:32:28 +0100

cdo (1.9.7.1-4) unstable; urgency=medium

  * Use debhelper-compat = 12
  * Standards-Version: 4.4.0
  * Rebuild against libeccodes (>= 2.13.1-2). Closes: #925649

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Aug 2019 08:29:40 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libcdi0`.
